Bug 654383 - Documentation for CLI should be corrected to include AS5 shutDown()
Documentation for CLI should be corrected to include AS5 shutDown()
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: Deon Ballard
ecs-bugs
: Documentation
Depends On:
Blocks: jon241-bugs
  Show dependency treegraph
 
Reported: 2010-11-17 13:21 EST by dsteigne
Modified: 2011-06-15 21:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 21:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dsteigne 2010-11-17 13:21:36 EST
Description of problem:
Following the documentation to try and shutdown the server via a CLI script.  When you try and call the operation on an AS5:
server.shutdown();

as documented at:
http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html-single/CLI_Guide/index.html#Scripted_Group_Deployments_using_the_CLI_API-Creating_the_Script 

Receive Caught TypeError: Cannot find function shutdown. 

The function is shutdown() on AS4 but shutDown()on AS5, the documentation should contain this difference

Version-Release number of selected component (if applicable):

2.4 
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Deon Ballard 2011-05-19 14:27:48 EDT
Changing modified bugs to ON_QA.
Comment 3 Andrew Ross 2011-05-19 17:58:04 EDT
(In reply to comment #1)
> I found two places where shutdown() was mentioned, and I added shutDown() to
> both:
> 
> *
> http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html/CLI_Guide/Scripted_Group_Deployments_using_the_CLI_API.html#Scripted_Group_Deployments_using_the_CLI_API-Creating_the_Script
> (this is in the description)
> 
> *
> http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html/CLI_Guide/Control_Grouped_Servers_Via_The_CLI-Creating_the_JON_Scripts.html#Creating_the_JON_Scripts-Start_stop_and_restart

"The shutdown function for AS4 servers is shutdown() and for AS5 servers is shutDown(). "

"shutdown() for AS4 servers and shutDown() for AS5 servers "

Verified: JBoss_Operations_Network-CLI_Guide-2.4-web-en-US-4-0.4.el5

Note You need to log in before you can comment on or make changes to this bug.